org.eclnt.jsfserver.elements.componentnodes

## Class MENUITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.MENUITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class MENUITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MENUITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MENUITEMNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindActionListener(IActionListenerDelegation value)`
    `MENUITEMNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindBackground(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindClientname(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindCommand(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindFont(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindForeground(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindHotkey(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindHotkeyonly(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindImage(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindRendered(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `MENUITEMNode` | `setAccessiblename(java.lang.String value)`
    `MENUITEMNode` | `setActionListener(java.lang.String value)`
    `MENUITEMNode` | `setAdapterbinding(java.lang.String value)`
    `MENUITEMNode` | `setAttributemacro(java.lang.String value)`
    `MENUITEMNode` | `setBackground(java.lang.String value)`
    `MENUITEMNode` | `setClientname(java.lang.String value)`
    `MENUITEMNode` | `setCommand(java.lang.String value)`
    `MENUITEMNode` | `setComment(java.lang.String value)`
    `MENUITEMNode` | `setConfiginfo(java.lang.String value)`
    `MENUITEMNode` | `setEnabled(boolean value)`
    `MENUITEMNode` | `setEnabled(java.lang.String value)`
    `MENUITEMNode` | `setFont(java.lang.String value)`
    `MENUITEMNode` | `setForeground(java.lang.String value)`
    `MENUITEMNode` | `setHotkey(java.lang.String value)`
    `MENUITEMNode` | `setHotkeyonly(boolean value)`
    `MENUITEMNode` | `setHotkeyonly(java.lang.String value)`
    `MENUITEMNode` | `setId(java.lang.String value)`
    `MENUITEMNode` | `setImage(java.lang.String value)`
    `MENUITEMNode` | `setReference(java.lang.String value)`
    `MENUITEMNode` | `setRendered(boolean value)`
    `MENUITEMNode` | `setRendered(java.lang.String value)`
    `MENUITEMNode` | `setStylevariant(java.lang.String value)`
    `MENUITEMNode` | `setText(java.lang.String value)`
    `MENUITEMNode` | `setTooltip(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MENUITEMNode

          public MENUITEMNode()

  - ### Method Detail

    - #### setId

          public MENUITEMNode setId(java.lang.String value)

    - #### setAccessiblename

          public MENUITEMNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public MENUITEMNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public MENUITEMNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public MENUITEMNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public MENUITEMNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public MENUITEMNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public MENUITEMNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public MENUITEMNode setBackground(java.lang.String value)

    - #### bindBackground

          public MENUITEMNode bindBackground(IDynamicContentBindingObject value)

    - #### setClientname

          public MENUITEMNode setClientname(java.lang.String value)

    - #### bindClientname

          public MENUITEMNode bindClientname(IDynamicContentBindingObject value)

    - #### setCommand

          public MENUITEMNode setCommand(java.lang.String value)

    - #### bindCommand

          public MENUITEMNode bindCommand(IDynamicContentBindingObject value)

    - #### setComment

          public MENUITEMNode setComment(java.lang.String value)

    - #### bindComment

          public MENUITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public MENUITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public MENUITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public MENUITEMNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public MENUITEMNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public MENUITEMNode setEnabled(boolean value)

    - #### setFont

          public MENUITEMNode setFont(java.lang.String value)

    - #### bindFont

          public MENUITEMNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public MENUITEMNode setForeground(java.lang.String value)

    - #### bindForeground

          public MENUITEMNode bindForeground(IDynamicContentBindingObject value)

    - #### setHotkey

          public MENUITEMNode setHotkey(java.lang.String value)

    - #### bindHotkey

          public MENUITEMNode bindHotkey(IDynamicContentBindingObject value)

    - #### setHotkeyonly

          public MENUITEMNode setHotkeyonly(java.lang.String value)

    - #### bindHotkeyonly

          public MENUITEMNode bindHotkeyonly(IDynamicContentBindingObject value)

    - #### setHotkeyonly

          public MENUITEMNode setHotkeyonly(boolean value)

    - #### setImage

          public MENUITEMNode setImage(java.lang.String value)

    - #### bindImage

          public MENUITEMNode bindImage(IDynamicContentBindingObject value)

    - #### setReference

          public MENUITEMNode setReference(java.lang.String value)

    - #### setRendered

          public MENUITEMNode setRendered(java.lang.String value)

    - #### bindRendered

          public MENUITEMNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public MENUITEMNode setRendered(boolean value)

    - #### setStylevariant

          public MENUITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public MENUITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public MENUITEMNode setText(java.lang.String value)

    - #### bindText

          public MENUITEMNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public MENUITEMNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public MENUITEMNode bindTooltip(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.